# flatpak enter

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak enter
1

# flatpak-enter

Enter an application

                    flatpak enter
                    OPTION
                    INSTANCE
                    COMMAND
                    ARG

## Description

Enter a running sandbox. INSTANCE must be either the pid of a process running in a flatpak sandbox, or the ID of a running application or a the instance ID of a running sandbox. COMMAND is the command to run in the sandbox. Extra arguments are passed on to the command.

This creates a new process within the running sandbox, with the same environment. This is useful when you want to debug a problem with a running application.

This command requires extra privileges, so must be run as root or via e.g. sudo. To get TAB completion for the application ID, use sudo -E.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak enter 15345 sh`

## See also

flatpak 1, flatpak-run 1